Name:           libvirt-fstec
Version:        1.0
Release:        1%{?dist}.fstec
Summary:        Role model for libvirt

License:        GPLv2+
URL:            https://git.inferitos.ru/internal/virtualization-guide/wiki/
Source0:        libvirt-fstec
Source1:        97-libvirt-fstec-vars.rules
Source2:        99-libvirt-fstec.rules

Requires:       sudo
Requires:       polkit
Requires(pre):  /usr/sbin/groupadd

BuildArch:      noarch

%description
The role model for FSTEC requirements

%prep

%build

%install
install -m 750 -d %{buildroot}%{_sysconfdir}/sudoers.d
install -m 750 -d %{buildroot}%{_sysconfdir}/polkit-1/rules.d/

install -m 440 %{SOURCE0} %{buildroot}%{_sysconfdir}/sudoers.d/
install -m 644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_sysconfdir}/polkit-1/rules.d/


%pre
getent group libvirt-vm-dev &>/dev/null || groupadd --system libvirt-vm-dev &>/dev/null || :
getent group libvirt-admin &>/dev/null || groupadd --system libvirt-admin &>/dev/null || :
getent group libvirt-user &>/dev/null || groupadd --system libvirt-user &>/dev/null || :
getent group libvirt-sec-admin &>/dev/null || groupadd --system libvirt-sec-admin &>/dev/null || :


%files
%attr(0440,root,root) %config(noreplace) %{_sysconfdir}/sudoers.d/libvirt-fstec
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/polkit-1/rules.d/97-libvirt-fstec-vars.rules
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/polkit-1/rules.d/99-libvirt-fstec.rules


%changelog
* Fri Feb 14 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0-1R.fstec
- Rebuilt for MSVSphere 9.5

* Fri Feb 14 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0-1.fstec
- Initial build
